<div class="company-position-dialog">
  <div class="container">
    <mat-toolbar>
      <span>{{companyDepartmentService.companyDepartmentForm.controls['$key']?.value ? "Edycja działu" : "Dodawanie działu"}}</span>
      <span class="fill-remaining-space"></span>
      <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabIndex="-1">
        <mat-icon matTooltip="Zamknij">clear</mat-icon>
      </button>
    </mat-toolbar>

    <form [formGroup]="companyDepartmentService.companyDepartmentForm" (submit)="onSubmit()">
      <div fxLayout="column">

        <mat-form-field>
          <input matInput formControlName="name" placeholder="Nazwa działu" required>
          <mat-error>To pole jest wymagane.</mat-error>
        </mat-form-field>

        <mat-form-field>
          <textarea matInput formControlName="description" placeholder="Krótki opis działu"></textarea>
        </mat-form-field>

        <mat-form-field>
          <mat-select formControlName="manager" placeholder="Kierownik działu"
                      [value]="companyDepartmentService.companyDepartmentForm.get('manager').value">
            <mat-option *ngFor="let employee of (employees$ | async)"
                        value="{{employee?.id}}">
              {{employee?.data?.firstName}} {{employee?.data?.lastName}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>

      <div class="button-row mt-1">
        <button mat-raised-button color="primary" type="submit" [disabled]="companyDepartmentService.companyDepartmentForm.invalid">
          Zapisz
        </button>
        <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
      </div>
    </form>
  </div>
</div>
